Arc
Keywords: uk.ac.ic.doc.automed.gui.Arc,Arc class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.gui
Class Arc

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Rectangle2D
                  |
                  +--java.awt.Rectangle
                        |
                        +--uk.ac.ic.doc.automed.gui.Arc

All Implemented Interfaces:
  java.lang.Cloneable, uk.ac.ic.doc.automed.gui.SchemaShape, java.io.Serializable, java.awt.Shape

public class Arc
extends java.awt.Rectangle
implements uk.ac.ic.doc.automed.gui.SchemaShape

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`Arc()`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`void` | `draw()`
`java.awt.Rectangle` | `getBoundingBox()`
`java.awt.Point` | `getEdgePosition(java.awt.Point p)`
`Arc` | `setBgColour(java.lang.String colour)`
`Arc` | `setEndAngle(int angle)`
`Arc` | `setFgColour(java.lang.String colour)`
`Arc` | `setFontColour(java.lang.String colour)`
`Arc` | `setFontName(java.lang.String name)`
`Arc` | `setFontSize(int size)`
`Arc` | `setFontStyle(int style)`
`Arc` | `setGraphics(java.awt.Graphics g)`
`Arc` | `setHeight(int height)`
`Arc` | `setShapeLocation(java.awt.Point location)`
`Arc` | `setStartAngle(int angle)`
`Arc` | `setStyle(java.lang.String style)`
`Arc` | `setText(java.lang.String text)`
`Arc` | `setTextLocation(java.lang.String location)`
`Arc` | `setWidth(int width)`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, createIntersection, createUnion, equals, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, toString, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Constructor Detail

### Arc

    public Arc()

Method Detail

### setStyle

    public Arc setStyle(java.lang.String style)

### setBgColour

    public Arc setBgColour(java.lang.String colour)

### setFgColour

    public Arc setFgColour(java.lang.String colour)

### setText

    public Arc setText(java.lang.String text)

### setFontName

    public Arc setFontName(java.lang.String name)

### setFontSize

    public Arc setFontSize(int size)

### setFontStyle

    public Arc setFontStyle(int style)

### setFontColour

    public Arc setFontColour(java.lang.String colour)

### setTextLocation

    public Arc setTextLocation(java.lang.String location)

### setShapeLocation

    public Arc setShapeLocation(java.awt.Point location)

### setWidth

    public Arc setWidth(int width)

### setHeight

    public Arc setHeight(int height)

### setStartAngle

    public Arc setStartAngle(int angle)

### setEndAngle

    public Arc setEndAngle(int angle)

### setGraphics

    public Arc setGraphics(java.awt.Graphics g)

### getEdgePosition

    public java.awt.Point getEdgePosition(java.awt.Point p)

### draw

    public void draw()

### getBoundingBox

    public java.awt.Rectangle getBoundingBox()

  Specified by:
    `getBoundingBox` in interface `uk.ac.ic.doc.automed.gui.SchemaShape`

### contains

    public boolean contains(java.awt.Point p)

  Specified by:
    `contains` in interface `uk.ac.ic.doc.automed.gui.SchemaShape`
  Overrides:
    `contains` in class `java.awt.Rectangle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD